import { IElementsService } from './IElementsService.js';
import { IElementDefinition } from './IElementDefinition.js';
export declare class JsonFileElementsService implements IElementsService {
    private _name;
    get name(): string;
    private _elementList;
    private _resolveStored;
    private _rejectStored;
    getElements(): Promise<IElementDefinition[]>;
    constructor(name: string, file: string | URL);
    private isIElementDefintion;
}
